<template lang="pug">
.progress-bar
	progress(:value="completedGoals")
</template>

<script>
	import ProgressBar from 'progressbar.js'

	export default {
		name: 'progress-bar',

		mounted() {
			// var bar = new ProgressBar.Line('#container', {
			// 	strokeWidth: 1.5,
			// 	color: '#2ecc71',
			// 	trailColor: '#eee',
			// 	trailWidth: 0.2
			// })

			// bar.animate(this.progress)

		},

		computed: {
			completedGoals() {
				let ratio = this.$store.state.goals.filter(goal => goal.status).length / this.$store.state.goals.length

				return ratio
			}


		}

	}
</script>
